/*
========================================

========================================
*/
fileIn "GameMesh/gmMain.mse"	-- gamemesh processor
filein "SupCom/supcom2export.ms"

utility SUPCOM2 "Supreme Commander 2 Maxtool" silentErrors:false
(
	group "About:"
	(
		--bitmap the_bmp fileName:"supcom.bmp" 
		label Label1 "SupCom2 MaxToodlesTool v1"
		label Label2 "www.janvanderweg.com"
	)
	group "Export:"
	(
		button ExportSCM "Export SCM" tooltip:"toodles"
	)
	on ExportSCM pressed do
	(
		file = getSaveFileName caption:"Select export file" \
					filename:(getINISetting (scriptsPath + "Supcom/settings.ini") "settings" "exportscm") \
					types:"scm file (*.scm)|*.scm|All Files (*.*)|*.*|"
		
		if file != undefined then
		(
			setINISetting (scriptsPath + "Supcom/settings.ini") "settings" "exportscm" file
			set coordsys world
				
			local _gamemesh = gmMain()
			--_gamemesh.this = _gamemesh
			
			for i = 1 to selection.count do
				_gamemesh.AddNode(selection[i])
			
			if _gamemesh.isError do
			(
					messageBox _gamemesh.whatError title:"Game Mesh Error"
					format "1Error: %\n" _gamemesh.whatError
					return false
			)
			if _gamemesh.Go() == false then
			(
				if _gamemesh.isError then
				(
					messageBox _gamemesh.whatError title:"Game Mesh Error"
					format "2Error: %\n" _gamemesh.whatError
					return false
				)
				else
				(
					format "HELP Unknown error\n"
					return false
				)
			)
			ExportSupCom2Format _gamemesh file
			--jE_WriteStaticModelAscii _gamemesh file						
			
			max views redraw
			gc()
		)
	)
)